Package org.codehaus.janino

# Class Java.AbstractCompilationUnit.ImportDeclaration

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.AbstractCompilationUnit.ImportDeclaration

All Implemented Interfaces:
  `Java.Locatable`

Direct Known Subclasses:
  `Java.AbstractCompilationUnit.SingleStaticImportDeclaration`, `Java.AbstractCompilationUnit.SingleTypeImportDeclaration`, `Java.AbstractCompilationUnit.StaticImportOnDemandDeclaration`, `Java.AbstractCompilationUnit.TypeImportOnDemandDeclaration`

Enclosing class:
  `Java.AbstractCompilationUnit`

public abstract static class Java.AbstractCompilationUnit.ImportDeclaration extends Java.Located
Base class for the various IMPORT declarations.

## Field Summary

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`ImportDeclaration(Location location)`

## Method Summary

Modifier and Type
Method
Description
`abstract <R, EX extends Throwable>
R`
`accept(Visitor.ImportVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.ImportVisitor` for the concrete `Java.AbstractCompilationUnit.ImportDeclaration` type.

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImportDeclaration

public ImportDeclaration(Location location)

## Method Details

### accept

@Nullable public abstract <R, EX extends Throwable> R accept(Visitor.ImportVisitor<R,EX> visitor) throws EX
Invokes the "`visit...()`" method of `Visitor.ImportVisitor` for the concrete `Java.AbstractCompilationUnit.ImportDeclaration` type.

Throws:
  `EX`